import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
/** 获取商品属性列表  sdsa GET /kitchen/api/rule */
export async function getpage(data) {
  return request(getDataBaseUrl()+`/api/goodsattributeprice/getpage`, {
    method: 'POST',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function add(data) {
  return request(getDataBaseUrl()+`/api/goodsattributeprice/add`, {
    method: 'POST',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function update(data) {
  return request(getDataBaseUrl()+`/api/goodsattributeprice/update`, {
    method: 'POST',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function del(data) {
  return request(getDataBaseUrl()+`/api/goodsattributeprice/delete?id=`+data, {
    method: 'GET',
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function getbygoodsidattribute (data) {
  return request(getDataBaseUrl()+`/api/goodsattribute/getbygoodsidattribute?id=`+data, {
    method: 'Get',
    // params: { ...params },
    // ...(options || {}),
  });
}